Loading...
Searching...
No Matches
XrdCmsRespCB Class Reference

`#include <XrdCmsResp.hh>`

Inheritance diagram for XrdCmsRespCB:
Collaboration diagram for XrdCmsRespCB:

## Public Member Functions

| XrdCmsRespCB ()
| ~XrdCmsRespCB ()
void | Done (int &Result, XrdOucErrInfo *eInfo, const char *Path=0)
void | Init ()
int | Same (unsigned long long arg1, unsigned long long arg2)
void | Wait ()

## Detailed Description

Definition at line 42 of file XrdCmsResp.hh.

## Constructor & Destructor Documentation

## XrdCmsRespCB()

XrdCmsRespCB::XrdCmsRespCB | ( |  | ) |

inline

Definition at line 55 of file XrdCmsResp.hh.

: respSync(0) {}

## ~XrdCmsRespCB()

XrdCmsRespCB::~XrdCmsRespCB | ( |  | ) |

inline

Definition at line 56 of file XrdCmsResp.hh.

{}

## Member Function Documentation

## Done()

void XrdCmsRespCB::Done | ( | int & | Result,
|  | XrdOucErrInfo * | eInfo,
|  | const char * | Path = 0 )

inline virtual

Invoke a callback after an operation completes.

Parameters

  Result | - the original function's result (may be changed).

  eInfo

  - Associated error information. The eInfo object may not be modified until it's own callback Done() method is called, if supplied. If the callback function in eInfo is zero, then the eInfo object is deleted by the invoked callback. Otherwise, that method must be invoked by this callback function after the actual callback message is sent. This allows the callback requestor to do post-processing and be asynchronous being assured that the callback completed.

  Path | - Optionally, the path related to thid request. It is used for tracing and detailed monitoring purposes.

Implements XrdOucEICB.

Definition at line 46 of file XrdCmsResp.hh.

{respSync.Post();}

References Path.

## Init()

void XrdCmsRespCB::Init | ( |  | ) |

inline

Definition at line 49 of file XrdCmsResp.hh.

{while(respSync.CondWait()) {}}

Referenced by XrdCmsResp::Alloc().

Here is the caller graph for this function:

## Same()

int XrdCmsRespCB::Same | ( | unsigned long long | arg1,
|  | unsigned long long | arg2 )

inline virtual

Determine if two callback arguments refer to the same client.

Parameters

  arg1 | - The first callback argument.
  arg2 | - The second callback argument.

Returns
  !0 - The arguments refer to the same client.
  =0 - The arguments refer to the different clients.

Implements XrdOucEICB.

Definition at line 51 of file XrdCmsResp.hh.

{return 0;}

## Wait()

void XrdCmsRespCB::Wait | ( |  | ) |

inline

Definition at line 53 of file XrdCmsResp.hh.

{respSync.Wait();}

The documentation for this class was generated from the following file:

- XrdCmsResp.hh